Skip to content
extensions / Commerce extension
PATCH/__runtime/checkout/addresses/{id}

Update Checkout Address

Updates one of the signed-in customer's saved shipping addresses for a storefront project.

PATCHDELETE

Authentication

Requirement
Not specified
Credential type
Not specified
Scopes
Not specified

Permissions

  • Requires an authenticated storefront customer session.

Headers

NameRequiredTypeDetails
HostYesNot specified
Description: Value used by this operation.
CookieYesNot specified
Description: Value used by this operation.
AuthorizationYesNot specified
Description: Bearer credential used to authenticate the request.

Path Parameters

NameRequiredTypeDetails
idYesNot specified
Description: Identifier for the resource.

Query Parameters

Request Body

Schema: SaveAddressRequest

FieldRequiredTypeDetails
labelNostring
Description: Human-readable label.
streetYesstring
Description: Text value.
cityYesstring
Description: Text value.
stateYesstring
Description: Text value.
zipYesstring
Description: Text value.
countryYesstring
Description: Text value.
phoneNostring
Description: Text value.
is_defaultNoboolean
Description: Boolean flag.

Response Body

Example 200 response

json
{
  "id": 1,
  "label": "Example",
  "street": "string",
  "city": "string",
  "state": "string",
  "zip": "string",
  "country": "string",
  "phone": "string",
  "is_default": true
}

Errors

400 BAD_REQUEST401 UNAUTHORIZED404 NOT_FOUND500 INTERNAL_SERVER_ERROR

Availability

Available in
v0.1.0
Available since
v0.1.0
Implementation
Available
Deprecation
Not specified
Rate limits
Not specified